Skip to content

Add IVR

IVRs
POSThttps://api.dcdial.com/api/type=add_ivr
Changes dataToken

Creates an IVR menu that callers navigate with their keypad, using recorded or text-to-speech prompts.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always add_ivr for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • ivr_idintegerrequired

    ID of the IVR.

    Example 3
  • ivr_namestringrequired

    Name of the IVR.

    Example Main menu
Terminal window
curl https://api.dcdial.com/api/ \
-d type=add_ivr \
-d token="$DCDIAL_TOKEN" \
-d ivr_id=3 \
-d ivr_name='Main menu'
Response · 200 OK
{
"response": {
"success": "1",
"error": ""
}
}

Try it

Environment